
Redmine - Defect #25635

Fill/update customer field in workflow

2017-04-18 14:58 - Krzysztof Śliwa

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 3.3.2

Description

Hi,

I've added few customer fields (data type) to my issue view. Now I would like to fill thous fields with some date in workflow.

I was looking for resolution but without success.

I tried to assign new value to customer field no 6 like that:

custom_field_values.each do |value|

    if value.custom_field_id==6

      value.to_s="test" 

    end

  end  

 or like that :

custom_field_values[6] = "test"

but it is not working. I cannot find any method to do this.

Can you give me some advice?

best regards

History

#1 - 2017-04-19 09:29 - Krzysztof Śliwa

- Status changed from New to Resolved

OK, the resolution is easy.

just have to use @issue.custom_field_values=({6=>'test'})

#2 - 2017-05-17 17:42 - Toshi MARUYAMA

- Description updated

#3 - 2017-05-17 17:43 - Toshi MARUYAMA

- Category deleted (Custom fields)

- Status changed from Resolved to Closed

- Resolution set to Invalid
